Summary:	The GNU macro processor
Name:		m4
Version:	1.4.18
Release:	%mkrel 1
License:	GPLv3+
Group:		Development/Other
URL:		http://www.gnu.org/software/m4/
Source0:	ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.bz2.sig
BuildRequires:	libsigsegv-devel
Requires(post): info-install
Requires(preun): info-install

%description
A GNU implementation of the traditional UNIX macro processor.  M4 is
useful for writing text files which can be logically parsed, and is used
by many programs as part of their build process.  M4 has built-in
functions for including files, running shell commands, doing arithmetic,
etc.  The autoconf program needs m4 for generating configure scripts, but
not for running configure scripts.

m4 is most likely needed if you want to compile or develop software.

%prep
%setup -q
%autopatch -p1

%build
export gl_cv_func_strtod_works=no 
%configure2_5x
%make

%check
%define Werror_cflags %nil
make check CFLAGS="%optflags"

%install
%makeinstall_std infodir=%{_datadir}/info

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files
%doc NEWS README BACKLOG THANKS ChangeLog
%{_bindir}/%{name}
%{_infodir}/*
%{_mandir}/man1*/*


%changelog
* Sun Jan 01 2017 luigiwalser <luigiwalser> 1.4.18-1.mga6
+ Revision: 1079005
- 1.4.18
- remove upstreamed gnulib patches

* Mon Feb 15 2016 umeabot <umeabot> 1.4.17-6.mga6
+ Revision: 961351
- Mageia 6 Mass Rebuild

* Sun Oct 25 2015 blino <blino> 1.4.17-5.mga6
+ Revision: 895236
- add patches adapted from upstream gnulib to fix update-copyright test with perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.4.17-4.mga5
+ Revision: 743643
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4.17-3.mga5
+ Revision: 682115
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.4.17-2.mga4
+ Revision: 536087
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 fwang <fwang> 1.4.17-1.mga4
+ Revision: 483246
- new version 1.4.17

* Sat Jan 12 2013 umeabot <umeabot> 1.4.16-3.mga3
+ Revision: 359254
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 cjw <cjw> 1.4.16-2.mga3
+ Revision: 325742
- patch1: fix build with glibc 2.16
- drop unneeded buildroot definition and clean section

* Wed Apr 13 2011 tv <tv> 1.4.16-1.mga2
+ Revision: 84521
- new release
- BuildRequires:  libsigsegv-devel

* Sat Jan 08 2011 blino <blino> 1.4.15-1.mga1
+ Revision: 382
- imported package m4

